#include <io.h>
#include <delay.h>

void main(void)
{
    DDRA  = 0xFF;
    
    PORTA = 1;
              
    while(1)
    {         
        delay_ms(500);
        PORTA <<= 1; 
        //PORTA *= 1;
        if(PORTA == 0)
        {             
            PORTA = 1;
        }         
    }
}




























//    PORTA++; 
//    delay_ms(500);
//    PORTA++;
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;      
//    delay_ms(500);
//    PORTA++;    